import request from '@/utils/request'

// 创建资产维修/保养记录
export function createPropertyKeep(data) {
  return request({
    url: '/company/property-keep/create',
    method: 'post',
    data: data
  })
}

// 更新资产维修/保养记录
export function updatePropertyKeep(data) {
  return request({
    url: '/company/property-keep/update',
    method: 'put',
    data: data
  })
}

// 删除资产维修/保养记录
export function deletePropertyKeep(id) {
  return request({
    url: '/company/property-keep/delete?id=' + id,
    method: 'delete'
  })
}

// 获得资产维修/保养记录
export function getPropertyKeep(id) {
  return request({
    url: '/company/property-keep/get?id=' + id,
    method: 'get'
  })
}

// 获得资产维修/保养记录分页
export function getPropertyKeepPage(params) {
  return request({
    url: '/company/property-keep/page',
    method: 'get',
    params
  })
}
// 导出资产维修/保养记录 Excel
export function exportPropertyKeepExcel(params) {
  return request({
    url: '/company/property-keep/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}
